# JSDoc: Class: NodeQuery

# Class: NodeQuery

## NodeQuery(config)

Class for connection management

## Constructor

#### new NodeQuery(config)

Constructor

##### Parameters:

Name | Type | Description
--- | --- | ---
`config` | object | connection parameters

Source:
  - NodeQuery.js, line 24

### Methods

#### getQuery() → {QueryBuilder}

Return an existing query builder instance

Source:
  - NodeQuery.js, line 71

##### Returns:

- The Query Builder object

Type
  QueryBuilder